Merge pull request #755 from dcooper16/stop_parent

Stop parent if child encounters parsing error
This commit is contained in:
Dirk Wetter 2017-05-30 21:05:05 +02:00 committed by GitHub
commit 8e1ace839f

View File

@ -101,6 +101,7 @@ fi
# make sure that temporary files are cleaned up after use in ANY case
trap "cleanup" QUIT EXIT
trap "child_error" USR1
readonly VERSION="2.9dev"
readonly SWCONTACT="dirk aet testssl dot sh"
@ -11175,6 +11176,7 @@ URI always needs to be the last parameter.
EOF
#' Fix syntax highlight on sublime
"$CHILD_MASS_TESTING" && kill -s USR1 $PPID
exit $1
}
@ -11386,6 +11388,11 @@ cleanup () {
grep -q xtrace <<< "$SHELLOPTS" && ! "$DEBUG_ALLINONE" && exec 2>&42 42>&-
}
child_error() {
cleanup
exit 1
}
fatal() {
outln
prln_magenta "Fatal error: $1" >&2